;-| Button Remapping |-----------------------------------------------------
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
command.time = 15
command.buffer.time = 1

;-| Super Motions |------------------------------------------------------
[Command]
name = "puffy"
command = ~F, D, B, F, x
time = 25

[Command]
name = "puffy"
command = ~F, D, B, F, y
time = 25

[Command]
name = "puffy"
command = ~F, D, B, F, z
time = 25

[Command]
name = "frenzy"
command = ~D, F, D, B, x
time = 25

[Command]
name = "frenzy"
command = ~D, F, D, B, y
time = 25

[Command]
name = "frenzy"
command = ~D, F, D, B, z
time = 25

[Command]
name = "ninja"
command = ~D, F, D, F, x
time = 20

[Command]
name = "ninja"
command = ~D, F, D, F, y
time = 20

[Command]
name = "ninja"
command = ~D, F, D, F, z
time = 20

[Command]
name = "shockwave"
command = ~D, B, D, B, x
time = 20

[Command]
name = "shockwave"
command = ~D, B, D, B, y
time = 20

[Command]
name = "shockwave"
command = ~D, B, D, B, z
time = 20

;-| Special Motions |------------------------------------------------------
[Command]
name = "ex_smash"
command = ~F, DF, F, x+y

[Command]
name = "ex_smash"
command = ~F, DF, F, y+z

[Command]
name = "ex_smash"
command = ~F, DF, F, z+x

[Command]
name = "ex_music"
command = ~D, DF, F, x+y

[Command]
name = "ex_music"
command = ~D, DF, F, y+z

[Command]
name = "ex_music"
command = ~D, DF, F, z+x

[Command]
name = "ex_ride"
command = ~D, DB, B, a+b

[Command]
name = "ex_ride"
command = ~D, DB, B, b+c

[Command]
name = "ex_ride"
command = ~D, DB, B, c+a

[Command]
name = "ex_ami"
command = ~D, DF, F, a+b

[Command]
name = "ex_ami"
command = ~D, DF, F, b+c

[Command]
name = "ex_ami"
command = ~D, DF, F, c+a

[Command]
name = "smash1"
command = ~F, D, DF, x

[Command]
name = "smash2"
command = ~F, D, DF, y

[Command]
name = "smash3"
command = ~F, D, DF, z

[Command]
name = "music1"
command = ~D, DF, F, x

[Command]
name = "music2"
command = ~D, DF, F, y

[Command]
name = "music3"
command = ~D, DF, F, z

[Command]
name = "ride1"
command = ~D, DB, B, a

[Command]
name = "ride2"
command = ~D, DB, B, b

[Command]
name = "ride3"
command = ~D, DB, B, c

[Command]
name = "ami1"
command = ~D, DF, F, a

[Command]
name = "ami2"
command = ~D, DF, F, b

[Command]
name = "ami3"
command = ~D, DF, F, c

;-| Hold Button |----------------------------------------------------------
[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
[Statedef -1]

; Puffy Jam Session
[State -1]
type = ChangeState
value = 3300
triggerall = power >= 3000
triggerall = !NumHelper(10000)
triggerall = command = "puffy"
trigger1 = statetype != A && ctrl
trigger2 = hitdefattr = SC,NA,SA
;---------------------------------------------------------------------------
; Yumi Frenzy
[State -1]
type = ChangeState
value = 3200
triggerall = power >= 2000
triggerall = command = "frenzy"
trigger1 = statetype != A && ctrl
trigger2 = hitdefattr = SC,NA,SA
;---------------------------------------------------------------------------
; Ninjcompoop
[State -1]
type = ChangeState
value = 3000
triggerall = power >= 1000
triggerall = command = "ninja"
trigger1 = statetype != A && ctrl
trigger2 = hitdefattr = SC,NA,SA
;---------------------------------------------------------------------------
; Air Ninjcompoop
[State -1]
type = ChangeState
value = 3050
triggerall = power >= 1000
triggerall = command = "ninja"
trigger1 = statetype = A && ctrl
trigger2 = hitdefattr = A,NA,SA
;---------------------------------------------------------------------------
; Up to 11.5
[State -1]
type = ChangeState
value = 3100
triggerall = power >= 1000
triggerall = command = "shockwave"
trigger1 = statetype != A && ctrl
trigger2 = hitdefattr = SC,NA,SA
;------------------------------------------------------------
; EX Guitar Smash
[State -1, Light Yumi Upper]
type = ChangeState
value = 2100
triggerall = power >= 500
triggerall = command = "ex_smash"
trigger1 = statetype != A && ctrl
trigger2 = hitdefattr = SC,NA
;------------------------------------------------------------
; EX Guitar Riff
[State -1]
type = ChangeState
value = 2000
triggerall = power >= 500
triggerall = command = "ex_music"
trigger1 = statetype != A && ctrl
trigger2 = hitdefattr = SC,NA
;--------------------------------------------------------------
; EX Guitar Slide
[State -1, Guitar Ride_x]
type = ChangeState
value = 2200
triggerall = power >= 500
triggerall = command = "ex_ride"
trigger1 = ctrl
trigger2 = hitdefattr = SCA,NA
;--------------------------------------------------------------
; EX Ami Assist
[State -1]
type = ChangeState
value = 2300
triggerall = power >= 500
triggerall = !NumHelper(10000)
triggerall = command = "ex_ami"
trigger1 = statetype != A && ctrl
trigger2 = hitdefattr = SC,NA
;------------------------------------------------------------
; Guitar Smash
[State -1, Light Yumi Upper]
type = ChangeState
value = 1100
triggerall = command = "smash1" || command = "smash2" || command = "smash3"
trigger1 = statetype != A && ctrl
trigger2 = hitdefattr = SC,NA
;--------------------------------------------------------------
; Guitar Riff
[State -1, Music]
type = ChangeState
value = 1000
triggerall = command = "music1" || command = "music2" || command = "music3"
trigger1 = statetype != A && ctrl
trigger2 = hitdefattr = SC,NA
;--------------------------------------------------------------
; Guitar Slide
[State -1, Guitar Ride_x]
type = ChangeState
value = 1200
triggerall = command = "ride1" || command = "ride2" || command = "ride3"
trigger1 = ctrl
trigger2 = hitdefattr = SCA,NA
;--------------------------------------------------------------
; Ami Assist
[State -1]
type = ChangeState
value = 1300
triggerall = !NumHelper(10000)
triggerall = command = "ami1" || command = "ami2" || command = "ami3"
trigger1 = statetype != A && ctrl
trigger2 = hitdefattr = SC,NA
;---------------------------------------------------------------------------
; Crawl forwards
[State -1, Roll Fwd]
type = ChangeState
value = 22
triggerall = command = "x" && command = "a"
triggerall = command != "holdback"
trigger1 = ctrl && statetype != A
;---------------------------------------------------------------------------
; Crawl backwards
[State -1, Roll Back]
type = ChangeState
value = 23
triggerall = command = "x" && command = "a"
triggerall = command = "holdback"
trigger1 = ctrl && statetype != A
;-------------------------------------------------------------
; Power Charge
[State -1]
type = ChangeState
value = 900
triggerall = power < powermax
triggerall = command = "hold_y"
triggerall = command = "hold_b"
trigger1 = ctrl && statetype != A
;---------------------------------------------------------------------------
; Run Fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = command = "FF"
trigger1 = ctrl && statetype = S
;---------------------------------------------------------------------------
; Run Back
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = command = "BB"
trigger1 = ctrl && statetype = S
;---------------------------------------------------------------------------
; Throw
[State -1, Throw]
type = ChangeState
value = 800
triggerall = command = "z" || command = "c"
triggerall = command = "holdfwd" || command = "holdback"
trigger1 = ctrl && statetype = S
trigger1 = stateno != 100 && stateno != 105
trigger1 = p2bodydist X <= 5
trigger1 = p2bodydist Y = [-25,25]
trigger1 = (p2statetype = S || p2statetype = C)
trigger1 = p2movetype != H
;---------------------------------------------------------------------------
; Air Throw
[State -1, Throw]
type = ChangeState
value = 850
triggerall = command = "z" || command = "c"
triggerall = command = "holdfwd" || command = "holdback"
trigger1 = ctrl && statetype = A
trigger1 = p2bodydist X <= 5
trigger1 = p2bodydist Y = [-25,25]
trigger1 = p2statetype = A
trigger1 = p2movetype != H
;===========================================================================
; f+HP
[State -1, Yumi Smash]
type = ChangeState
value = 225
triggerall = command = "z"
triggerall = command = "holdfwd"
trigger1 = ctrl && statetype = S
trigger2 = movecontact && stateno = 200
trigger3 = movecontact && stateno = 230
trigger4 = movecontact && stateno = 210
trigger5 = movecontact && stateno = 240
trigger6 = movecontact && stateno = 220
trigger7 = movecontact && stateno = 250
trigger8 = movecontact && stateno = 400
trigger9 = movecontact && stateno = 430
trigger10 = movecontact && stateno = 410
trigger11 = movecontact && stateno = 440
trigger12 = movecontact && stateno = 420
trigger13 = movecontact && stateno = 450
;---------------------------------------------------------------------------
; f+HK
[State -1, Forward Strong Kick]
type = ChangeState
value = 260
triggerall = command = "c"
triggerall = command = "holdfwd"
trigger1 = ctrl && statetype = S
trigger2 = movecontact && stateno = 200
trigger3 = movecontact && stateno = 230
trigger4 = movecontact && stateno = 210
trigger5 = movecontact && stateno = 240
trigger6 = movecontact && stateno = 220
trigger7 = movecontact && stateno = 250
trigger8 = movecontact && stateno = 400
trigger9 = movecontact && stateno = 430
trigger10 = movecontact && stateno = 410
trigger11 = movecontact && stateno = 440
trigger12 = movecontact && stateno = 420
trigger13 = movecontact && stateno = 450
;---------------------------------------------------------------------------
; st.LP
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = ctrl && statetype = S
;---------------------------------------------------------------------------
; st.MP
[State -1, Stand Medium Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = ctrl && statetype = S
trigger2 = movecontact && stateno = 200
trigger3 = movecontact && stateno = 230
trigger4 = movecontact && stateno = 400
trigger5 = movecontact && stateno = 430
;---------------------------------------------------------------------------
; st.HP
[State -1, Stand Strong Punch]
type = ChangeState
value = 220
triggerall = command = "z"
triggerall = command != "holddown" 
trigger1 = ctrl && statetype = S
trigger2 = movecontact && stateno = 200
trigger3 = movecontact && stateno = 230
trigger4 = movecontact && stateno = 210
trigger5 = movecontact && stateno = 240
trigger6 = movecontact && stateno = 400
trigger7 = movecontact && stateno = 430
trigger8 = movecontact && stateno = 410
trigger9 = movecontact && stateno = 440
;---------------------------------------------------------------------------
; st.LK
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = ctrl && statetype = S
;---------------------------------------------------------------------------
; st.MK
[State -1, Stand Medium Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = ctrl && statetype = S
trigger2 = movecontact && stateno = 200
trigger3 = movecontact && stateno = 230
trigger4 = movecontact && stateno = 400
trigger5 = movecontact && stateno = 430
;---------------------------------------------------------------------------
; st.HK
[State -1, Standing Strong Kick]
type = ChangeState
value = 250
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = ctrl && statetype = S
trigger2 = movecontact && stateno = 200
trigger3 = movecontact && stateno = 230
trigger4 = movecontact && stateno = 210
trigger5 = movecontact && stateno = 240
trigger6 = movecontact && stateno = 400
trigger7 = movecontact && stateno = 430
trigger8 = movecontact && stateno = 410
trigger9 = movecontact && stateno = 440
;---------------------------------------------------------------------------
; cr.LP
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = ctrl && statetype = C
;---------------------------------------------------------------------------
; cr.MP
[State -1, Crouching Medium Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = ctrl && statetype = C
trigger2 = movecontact && stateno = 200
trigger3 = movecontact && stateno = 230
trigger4 = movecontact && stateno = 400
trigger5 = movecontact && stateno = 430
;---------------------------------------------------------------------------
; cr.HP
[State -1, Crouching Strong Punch]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = ctrl && statetype = C
trigger2 = movecontact && stateno = 200
trigger3 = movecontact && stateno = 230
trigger4 = movecontact && stateno = 210
trigger5 = movecontact && stateno = 240
trigger6 = movecontact && stateno = 400
trigger7 = movecontact && stateno = 430
trigger8 = movecontact && stateno = 410
trigger9 = movecontact && stateno = 440
;---------------------------------------------------------------------------
; cr.LK
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = ctrl && statetype = C
;---------------------------------------------------------------------------
; cr.MK
[State -1, Crouching Medium Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = ctrl && statetype = C
trigger2 = movecontact && stateno = 200
trigger3 = movecontact && stateno = 230
trigger4 = movecontact && stateno = 400
trigger5 = movecontact && stateno = 430
;---------------------------------------------------------------------------
; cr.HK
[State -1, Crouching Strong Kick]
type = ChangeState
value = 450
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = ctrl && statetype = C
trigger2 = movecontact && stateno = 200
trigger3 = movecontact && stateno = 230
trigger4 = movecontact && stateno = 210
trigger5 = movecontact && stateno = 240
trigger6 = movecontact && stateno = 400
trigger7 = movecontact && stateno = 430
trigger8 = movecontact && stateno = 410
trigger9 = movecontact && stateno = 440
;---------------------------------------------------------------------------
; jp.LP
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = ctrl && statetype = A
;---------------------------------------------------------------------------
; jp.MP
[State -1, Jump Medium Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = ctrl && statetype = A
trigger2 = movecontact && stateno = 600
trigger3 = movecontact && stateno = 630
;---------------------------------------------------------------------------
; jp.HP
[State -1, Jump Strong Punch]
type = ChangeState
value = 620
triggerall = command = "z"
trigger1 = ctrl && statetype = A
trigger2 = movecontact && stateno = 600
trigger3 = movecontact && stateno = 630
trigger4 = movecontact && stateno = 610
trigger5 = movecontact && stateno = 640
;---------------------------------------------------------------------------
; jp.LK
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = ctrl && statetype = A
;---------------------------------------------------------------------------
; jp.MK
[State -1, Jump Medium Kick]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = ctrl && statetype = A
trigger2 = movecontact && stateno = 600
trigger3 = movecontact && stateno = 630
;---------------------------------------------------------------------------
; jp.HK
[State -1, Jump Strong Kick]
type = ChangeState
value = 650
triggerall = command = "c"
trigger1 = ctrl && statetype = A
trigger2 = movecontact && stateno = 600
trigger3 = movecontact && stateno = 630
trigger4 = movecontact && stateno = 610
trigger5 = movecontact && stateno = 640
;---------------------------------------------------------------------------
; Taunt
[State -1, Taunt]
type = ChangeState
value = 199
triggerall = command = "start"
trigger1 = ctrl && statetype != A
